/**
 * 
 */
package org.gcube.accounting.analytics.persistence;

import org.gcube.accounting.analytics.persistence.couchbase.AccountingPersistenceQueryCouchBase;
import org.gcube.common.authorization.library.provider.SecurityTokenProvider;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author Luca Frosini (ISTI - CNR) http://www.lucafrosini.com/
 *
 */
public class AccountingPersistenceQueryConfigurationTest {

	private static Logger logger = LoggerFactory.getLogger(AccountingPersistenceQueryConfigurationTest.class);
	
	@Before
	public void before(){
		SecurityTokenProvider.instance.set(TestUtility.TOKEN);
	}
	
	@After
	public void after(){
		SecurityTokenProvider.instance.reset();
	}
	
	@Test
	public void test() throws Exception {
		AccountingPersistenceBackendQueryConfiguration acbqc = new AccountingPersistenceBackendQueryConfiguration(AccountingPersistenceQueryCouchBase.class);
		logger.debug("{}", acbqc);
	}
	
}
